%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions
%define modname korean
%define modfullname mod_%{modname}
%define githubproj https://github.com/OOPS-ORG-PHP/%{modfullname}/releases/download

Summary: php 5.6 extension that support high level api
Name: php56-%{modname}
Version: 0.1.6
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
URL: https://github.com/OOPS-ORG-PHP/mod_korean
#Source0: https://github.com/OOPS-ORG-PHP/mod_korean/archive/%{version}.tar.gz#/%{modfullname}-%{version}.tar.bz2
#Source0: https://github.com/OOPS-ORG-PHP/mod_korean/releases/download/%{version}/mod_korean-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php56api libjpeg libpng zlib
BuildRequires: php56-devel libjpeg-devel libpng-devel zlib-devel

%description
This extension support various high level php api that support
charset convert, image resize, standalone socket mail and so on.

%prep
#setup -q -n %{modfullname}-%{version}
%setup -c -T -n %{modfullname}-%{version}

if [ -f "../download/%{modfullname}-%{version}.tar.bz2" ]; then
    tar xvfpj ../download/%{modfullname}-%{version}.tar.bz2 > /dev/null
else
	#curl -L %{githubproj}/%{version}/%{modfullname}-%{version}.tar.bz2 | \
	#	tar xvfpj -
	curl -L -o ../download/%{modfullname}-%{version}.tar.bz2 \
		%{githubproj}/%{version}/%{modfullname}-%{version}.tar.bz2
	tar xvfpj ../download/%{modfullname}-%{version}.tar.bz2 > /dev/null
fi

mv -f %{modfullname}-%{version}/* ./
rm -rf %{modfullname}-%{version}

%build

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}"
%ifarch x86_64
./configure --with-libdir=lib64
%else
./configure
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{fpm,cli}
for i in fpm cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php56.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php56.d/fpm/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php56.d/cli/%{modname}.ini

%changelog
* Sat Jan 19 2019 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.6-1%{?dist}
- update 0.1.6
  https://github.com/OOPS-ORG-PHP/mod_korean/releases/tag/0.1.6

- fixed #19 enhanced code that may cause bugs in data type comparisons
- fixed #18 [v0] libgd security issue update
- fixed #17 [v0] The ncrdecode_lib api is declaring an invalid variable.
- fixed #16 Incorrect memory changes in Uniconv api and krNcrEncode api
- fixed #15 [v0] postposition_lib api has a garbage character at the end of the return value.
- fixed #14 [v0] unicode api is something wrong
- fixed #13 [v0] mailsource_lib wrong convertings
- fixed #12 [v0] autolink_lib error case
- fixed #11 [v0] Open base dir setting does not work
- fixed #10 [v0] is_utf8 control reaches end of non-void function
- fixed #9 [v0] wrong operation krcharset api on PHP 5
- fixed unread gif format on imgresize_lib
- fixed compile failure with `E_DEPRECATED' undeclared under PHP 5.2

* Fri Jan 15 2016 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.5-2%{?dist}
- rebuilt on AN3

* Mon Jan 26 2015 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.5-2%{?dist}
- fixed gif read on imgresize_lib function

* Mon Nov 12 2012 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.5-1%{?dist}
- update 0.1.5
- fixed overflow2 gd link problems

* Tue Feb 28 2012 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.4-1%{?dist}
- first packaged

